#pragma once
#include "Entity.h"
#include "MenuTextKeyboard.h"
#define MENUTEXTMENU_PLAYER2KEYBOARD_CREATENAME L"menutext_player2keyboard_menu"
class MenuTextMenu_Player2Keyboard :
    public MenuTextKeyboard
{
public:
    InputSetting_Keyboard* GetInputSetting() override;
    SDL_Scancode* GetBind(InputSetting_Keyboard* setting) override;
};

std::shared_ptr<Entity> CreateMenuTextMenu_Player2Keyboard();